MCP Gateway
ApiInvitations

Create invitation

Create a new user invitation. Requires ADMIN or OWNER role. The invite URL is returned once and should be sent to the invitee.

POST
/api/v1/invitations

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "email": "string",
  "role": "string",
  "status": "pending",
  "invited_by_name": "string",
  "expires_at": "2019-08-24T14:15:22Z",
  "is_expired": true,
  "created_at": "2019-08-24T14:15:22Z",
  "invite_url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}